shibsp::RequestMapper Class Referenceabstract

Interface to a request mapping plugin. More...

`#include <shibsp/RequestMapper.h>`

Inheritance diagram for shibsp::RequestMapper:
[legend]
Collaboration diagram for shibsp::RequestMapper:
[legend]

## Public Types

typedef std::pair< const PropertySet *, AccessControl * > | Settings
| Combination of configuration settings and effective access control.

## Public Member Functions

virtual Settings | getSettings (const xmltooling::HTTPRequest &request) const =0
| Map request to settings.

## Detailed Description

Interface to a request mapping plugin.

Request mapping plugins return configuration settings that apply to resource requests. They can be implemented through cross-platform or platform-specific mechanisms.

## Member Function Documentation

## getSettings()

virtual Settings shibsp::RequestMapper::getSettings | ( | const xmltooling::HTTPRequest & | request | ) | const

pure virtual

Map request to settings.

Parameters

  request | SP request

Returns
  configuration settings and effective AccessControl plugin, if any

The documentation for this class was generated from the following file:

- shibsp/RequestMapper.h